package org.sky.scientific.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.sky.core.tenant.annotation.TenantIgnore;
import org.sky.scientific.pojo.entity.DepartmentEntity;

import java.util.List;


/**
 * DepartmentMapper 接口
 *
 */
public interface DepartmentMapper extends BaseMapper<DepartmentEntity> {

	int deleteByIds(List<Long> ids);

	String getNameById(@Param("id") Long id);

	@TenantIgnore
	int deleteByYearAndTenantId(@Param("year") String year, @Param("tenantId") String tenantId);

	@TenantIgnore
	String getFullNameById(@Param("id") Long id);

}
